ftdi_transfer_control Struct Reference

`#include <ftdi.h>`

## Public Attributes

int | completed
unsigned char * | buf
int | size
int | offset
struct ftdi_context * | ftdi
struct libusb_transfer * | transfer

## Detailed Description

Definition at line 206 of file ftdi.h.

## Member Data Documentation

## completed

int ftdi_transfer_control::completed

Definition at line 208 of file ftdi.h.

Referenced by ftdi_read_data_submit(), ftdi_transfer_data_cancel(), ftdi_transfer_data_done(), and ftdi_write_data_submit().

## buf

unsigned char* ftdi_transfer_control::buf

Definition at line 209 of file ftdi.h.

Referenced by ftdi_read_data_submit(), and ftdi_write_data_submit().

## size

int ftdi_transfer_control::size

Definition at line 210 of file ftdi.h.

Referenced by ftdi_read_data_submit(), and ftdi_write_data_submit().

## offset

int ftdi_transfer_control::offset

Definition at line 211 of file ftdi.h.

Referenced by ftdi_read_data_submit(), ftdi_transfer_data_done(), and ftdi_write_data_submit().

## ftdi

struct ftdi_context* ftdi_transfer_control::ftdi

Definition at line 212 of file ftdi.h.

Referenced by ftdi_read_data_submit(), ftdi_transfer_data_cancel(), ftdi_transfer_data_done(), and ftdi_write_data_submit().

## transfer

struct libusb_transfer* ftdi_transfer_control::transfer

Definition at line 213 of file ftdi.h.

Referenced by ftdi_read_data_submit(), ftdi_transfer_data_cancel(), and ftdi_transfer_data_done().

The documentation for this struct was generated from the following file:

- ftdi.h